import { ITs3Blacklist } from './interfaces/ITs3BlackList';
import { Ts3BlackListEntity } from './entity/Ts3BlackListEntity';
import { DataSource } from 'typeorm';
import { TsInfo } from './utils/UriHandler';
import { BlacklistType } from './interfaces/BlacklistType';
export declare class Ts3BlackList<T extends Ts3BlackListEntity> implements ITs3Blacklist<T> {
    private readonly _dataSource;
    static getType(tsInfo: TsInfo): BlacklistType;
    static getDetails(uri: string): {
        type: BlacklistType;
        port: number;
        host: string | undefined;
    };
    private static getDomains;
    constructor(dataSource: DataSource);
    addBlockEntry(_blockEntry: T): Promise<T>;
    checkHost(uri: string): Promise<boolean>;
    deleteBlockEntry(id: T['id']): Promise<boolean>;
    disableBlockEntry(id: T['id'], disabled: boolean): Promise<boolean>;
    getEntryDetails(id: T['id']): Promise<T | null>;
    modifyBlockEntry(id: T['id'], part: Partial<T>): Promise<boolean>;
}
