declare const paramMapper: {
    readonly nickname: "nickname";
    readonly password: "serverPassword";
    readonly channel: "channel";
    readonly channelpassword: "channelPassword";
    readonly token: "token";
    readonly addbookmark: "addBookmark";
};
declare type paramMapperKeys = keyof typeof paramMapper;
declare type paramMapperValues = typeof paramMapper[paramMapperKeys];
interface RawTsInfo {
    protocol?: string;
    address: string;
    ipv6?: string;
    ip?: string;
    hostname?: string;
    port?: string;
    parameters?: Record<string, string>;
}
export interface TsInfo extends Omit<RawTsInfo, 'port' | 'parameters'> {
    port?: number;
    parameters?: Partial<Record<paramMapperValues, string>>;
}
export declare const uriHandler: (uri: string) => TsInfo;
export {};
